/*
	MazBlatt (Marc Masri & Eric Greenblatt) 2009
*/
.bold
{
	font-weight: bold;
}
/* 
	Style for <body>
	The background color, font and size margin and padding properties are specified for the body of the HTML pages
	
*/
body
{
	margin: 0;
	padding: 0;
	background-color: #FFF;
	font-size: 11px;
	font-family: Arial;
	height: 100%;
}
.fullWidth
{
	width:100%;
}
/*  Styles for <td>
	The select box inside the Td will have the following properties.
*/
.tblCont {
	font-family: Arial;
	font-size: 11px;
	color:#666;
}
/*  Styles for <td>
	The styles of the td element for the accordion rows.
	
*/ 
.accordionHead
{
	color: #fff;	
	font-family:Arial;
	font-weight: bold;
	font-size: 12px;
	height: 43px;
	width: 100%;
	background-color: #00629f;
	vertical-align: middle;
	/*added mazblatt to support div instead of tables*/
	/* padding: 4px; --- this is good with no hieght*/
	border-bottom: 1px solid #EDEDED
}

.accordionSubHead
{
	font-family: Arial;
	font-size: 12px;
	font-weight: bold;
	text-align: left;
	background-color: #ccc;
	color: #666;
	height: 29px;
	border-top: 1px solid #999;	
}
.accordionSubHead div {
	margin: 7px 9px;
}
/* to support accordion rows */
img.flippable
{
	margin: 12px 9px;
}

a img {
	border:none;
}

table.flippable, div.flippable {
	display: none;
}

.errorContainer
{
	background-color: #d5ebf9;
	border: solid 4px #cc3333;
	font-family: Arial;
	font-size: 12px;
	color: #000;
	/*mazblatt top left-right bottom*/
	padding: 2px 10px 5px;
	/*mazblatt*/

}
.errorContainerConfirmationMessage
{
	background-color: #d5ebf9;
	border: solid 4px #009900;
	font-family: Arial;
	font-size: 12px;
	color: #000;
	/*mazblatt top left-right bottom*/
	padding: 2px 10px 5px;
	/*mazblatt*/
}

.messageIconMargin
{
	vertical-align: middle;
	margin-right: 10px;
}

.messageMargin
{
	text-Indent: -24px; /*first line indent*/
	margin-left:24px; /*all other lines margin*/ 
	margin-top: 3px;           
	cursor:pointer;
}

/* Buttons */
/*  
	GUI_Design_Standard_5.0.pdf - Page 4.9 
	Disabled buttons
*/
.disabledButton
{
	background-color: #ccc;
	border: 1px solid #ccc; 
	color: #999 ! important;
	font: bold 11px Arial;
	height: 21px;
	padding: 5px;
	margin-left: 0px;
	text-decoration: none !important;
	cursor: default;
	white-space: nowrap;
}

/* 
	GUI_Design_Standard_5.0.pdf - Page 4.9 
	Primary Buttons
*/

.primaryBtn, .secondaryBtn, .tertiaryBtn {
	padding: 2px 5px 3px;
	/*height: 21px ;*/
	margin: 0px 5px;
	text-decoration: none !important;
	cursor: pointer;
	white-space: nowrap;
	/*vertical-align: middle;*/
	/*position: relative ! important;*/
	display: inline-block;
}
.primaryBtn, .primaryBtn:visited, .primaryBtn:hover {
	background-color: #336699;
	border: 1px solid #336699;
	color: #fff ! important;
	font: bold 11px Arial;
}
/*
	GUI_Design_Standard_5.0.pdf - Page 4.9
	Primary Buttons
*/
.primaryBtn:hover
{
	background-color: #002663;
}


/*  Styles for <a>
	The styles of the a tag(Tertiary Button) on normal,hoverand visited modes.
	
*/
/* 
	GUI_Design_Standard_5.0.pdf - Page 4.9
	Tertiary Button
*/
.tertiaryBtn, .tertiaryBtn:link, .tertiaryBtn:visited, .tertiaryBtn:hover
{
	background-color: #e5e5e5;
	border: 1px solid #A4A4A4; 
	color: #646464 ! important;
	padding: 1px 5px 2px;
}
/* 
	GUI_Design_Standard_5.0.pdf - Page 4.9 
	Tertiary Button
*/
.tertiaryBtn:hover
{
	color: #000 ! important;
	background-color: #bfbfbf;
	border: 1px solid #000;	
}


/*  Styles for <a>
	The styles of the a tag(secondary Button) on normal,hover and visited modes.
	
*/
/*
	GUI_Design_Standard_5.0.pdf - Page 4.9
	Secondary Button
*/
.secondaryBtn, .secondaryBtn:link, .secondaryBtn:visited, .secondaryBtn:hover
{
	background-color: #666666;
	border: 1px solid #666666; 
	color: #fff ! important;
	font: bold 11px Arial;
}

/*
	GUI_Design_Standard_5.0.pdf - Page 4.9
	Secondary Button
*/
.secondaryBtn:hover {
	background-color: #4f4f4f;
}


/*  Styles for <table>
	The table will a border when this style is set.
	
*/

.menuDropDown{

	border: 1px solid #00629f;
	background-color: white;
	text-align: left;
	height: 19px;
	line-height: 19px;
	font-size:11px;
}

.menuButton{
	
	color: black;
	text-align: left;
	cursor: pointer;
	border-bottom: 1px solid #dedede;
	vertical-align: middle;
}

.menuDropDownHover{
	background-color: #003471;
}


table.displayTable 
{
	/* border-right: solid 1px #c9c9c9;*/ 
	border-collapse: collapse;
}


/*  Styles for <tr>
	The table header styles are set when a tabel is neste inside a tr tag .
	
*/

.tblHd
{
	font-family: Arial;
	font-size: 11px;
	font-weight: bold;
	color: #666;
	background: #dadada;
	text-align: left;
	text-decoration: none;
	border-top: 1px solid #666666;  
	border-left: 1px solid #666666;  
	border-right: 1px solid #666666;  
	height: 30px;
}


.tblHd th
{
	text-align: left;
	border-right: 1px solid #ffffff;
	padding :0px 7px 0px 7px;
	border-top: 1px solid #ffffff;
	border-bottom: 1px solid #9e9e9e;
	white-space: nowrap;
	text-align: center;
}
.tblHd th a, .tblHd th a:visited, .tblHd th a:hover {
	color: #666;
	text-align: left;
	text-decoration: none;
}
/*  Styles for <tr>
	these are the odd numbered row styles of a table to have the alternating row styles.
	
*/
/*
	GUI_Design_Standard_5.0.pdf - 5.6
	Data Grid
*/
.tbl1
{
	background: #fff;
}
.tblCell {
	border-right: 1px solid #c8c8c8;
	font-family: Arial;
	font-size: 13px;
	color: #000;
	font-weight: normal;
	vertical-align: middle;       
	/*line-height: 25px;*/
	padding: 0 7px;
}
/*  Styles for <table>
	the styles of the table that is inside a odd row  of a table.
*/
.tbl1 table
{
	font-family: Arial;
	font-size: 11px;
	color: #000000;
	background: #ffffff;
	font-weight: normal;
	vertical-align: middle;       
	padding :0px 7px 0px 7px;
}   
      
/*  Styles for <a>
	the styles of an a tag is inside a odd or even row  of a table.
*/     
/*
	GUI_Design_Standard_5.0.pdf - 5.6
	Data Grid
*/
.tbl1 a, .tbl2 a
{
	color: #00629f;
}

/*  Styles for <table>
	these are the even numbered row styles of a table to have the alternating row styles.
	
*/  
/*
	GUI_Design_Standard_5.0.pdf - 5.6
	Data Grid
*/
.tbl2
{
	background: #ededed;
}
      
/*  Styles for <table>
	the styles of the table that is inside a even row  of a table.
	
*/      
      
.tbl2 table
{
	font-family: Arial;
	font-size: 11px;
	color: #000000;
	background: #eee;
	font-weight: normal;
	vertical-align: middle;
	padding :0px 7px 0px 7px;
}

.styleWidth 
{
      width: 150px;
}

.fontSizeNormal
{			
	font-family: Arial;
	font-size: 11px;		
	color:#000;				
}

/*Generic input style to avoid
  Special logic for text vs gridtext vs cal text...
*/
input
{
	font-family: Arial;
	font-size: 11px;
	font-style: normal;
	color : #000;
	vertical-align: middle;
}

/* Supports popup calendar */
.calDiv
{
	display:none;
	z-index:1000;
	position:absolute;
	left:0px;
   top:0px;
	border:none;
}
.calendarIcon
{
	vertical-align: middle;
	cursor: pointer;
}
@media print {
	.calendarIcon {
		display: none;
	}
}	
/* Supports auto-complete */
#autoCompleteSelect {
	position:absolute;
	left:0;
	top:0;
	display:none;
	z-index: 9999;
	background: #E3E3E3;
}
/* Loading... */
.loadingImage {
	height: 13px;
	display: none;
}

.floatMessage {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 10px;
	color: white;
	background-color: #9C0000;
	padding: 2px;
	position: absolute;
	z-index: 10000;
	display: none;
	border: 2px ridge silver;
}

.centerImage {
	vertical-align: middle;
}

/* 
	Styles for <any controls which has the align property>
	To align control to the right and left.
	
*/
.alignRight
{	
	float: right;
}

.alignLeft
{
	float: left;
}
	
/* 
	Style for <div>
	The DIV element that is used as the outerWrapper for the all HTML pages Properties.
	
*/

/*
	GUI_Design_Standard_5.0.pdf - Page 3 & 4.2
	Footer Details
*/
.outerWrapper
{
	display: table;
	clear: both;
	position: relative;
	width: 980px;
	height: 840px;
	border-top: solid 3px #003471;
	border-left: solid 1px #CCC;
	border-right: solid 1px #CCC;
	text-align: left;
	background-color: #d5ebf9;
}

.fontSpecsColor
{
	font-family: Arial;
	font-size: 11px;
	font-style: normal;
	color : #00629f;
	vertical-align: middle;
}

.fontSpecsColor:hover
{
	text-decoration: underline;
}


/*  Styles for <a>
	This class is used to show up the href text of an a tag with the font color blue.
	
*/
.fontSpecsColor a
{
	border: 0px;
	padding: 0;
	color : #00629f;	
}

/*footer */
.footerContainer
{
	background-color: #666;
	width: 100%;
	height: 30px;
	display: table;
	clear: both;
	float: left;
	color: #fff; 
	font-weight: normal;
	font-size: 11px;
	font-family: Arial;
}
.footerContainer div {
	margin: 8px 5px;
}
.footerLink
{
	color: #fff; 
	text-decoration: none;
}

/*
	GUI_Design_Standard_5.0.pdf - Page 4.7
	Footer Details
*/

.footerLink a:hover
{	
	color: #fff; 
	text-decoration: underline;
}

.boldCol
{
	font-weight: bold;
	text-align: left;
}

.boldForErrorMsg
{
	font-weight: bold;
	text-align: left;
	color: #CC3333;
}

form, pre {
	margin: 0;
	padding: 0
}
.navTable {
	border-collapse: collapse;
}
.navTable .navBar{
	height:29px;
	border-bottom:1px solid #5cb1e9;
	background-color: #00629f;
}
.navBar .navBar {
	border: 1px solid #00629f;
	background-color: #fff;
	height: 19px;
	line-height: 19px;
	color: #000;
	font-size:11px;
}
.navButton {
	border-right: 1px solid white;
	padding: 0 14px;
	text-align: left;
	cursor: pointer;
}
.navButton .navButton {
	border-right: none;
	border-bottom: 1px solid #dedede;
}

a.navLink, a.navLink:visited {
	font-weight: bold;
	font-family: arial;
	font-size: 12px;
	color: #fff;
	text-decoration:none;
	white-space:nowrap;
	text-align: left;
	cursor: pointer;
}
a.navLink:hover, .navLinkHover
{
	background-color: #003471
}

tr.navLink, .navBar .navBar .navLinkHover
{
	background-color: #e0f0fb
}

.navBar .navBar a.navLink, .navBar .navBar a.navLink:visited {
	/*padding: 4px 14px;*/
	font-weight: normal;
	font-family: arial;
	font-size: 11px;
	color: #000;
	text-decoration:none;
	white-space:nowrap;
	background-color: transparent;
}
.navBar .navBar a.navLink:hover {
	background-color: #e0f0fb;
}
.navBarText
{
	font-family: Arial;
	font-size: 11px;
	padding-right: 15px;
	padding-left: 14px;
	color: #fff;
	text-decoration: none;
}

.containerHeader {
	background: #00629F;
	height: 34px;
	border: none;
	width: 100%;
}
.containerHeaderText
{
	font-weight: bold;
	font-size: 12px;
	font-family: arial;
	color: #fff;
	vertical-align: middle;
	padding: 0px 9px;
}
.container
{
	border: 1px solid #00629f;
}

.scroller
{
	width: 100%;
	height: 300px;
	overflow: scroll;
	/* even though this element is 100% width, we need float:left to overcome an IE6 glitch
	 * that causes a vertical gap equal to the size of the list */
	float:left;
}
table.tableNavigation {
	width: 100%;
	border-collapse:collapse;
	height: 34px;
	background-color: #d5ebf9;
}

.container table.tableNavigation{
	border-bottom: 1px solid #00629f;
}

.tableNavigationText {
	font-family: arial;
	font-size: 11px;
	font-weight: normal;
	color: #00629f;
	padding: 0px 9px;
}

th a.sortA
{
	background-image: url(../../images/icoSortUpArrow.gif);;
	background-repeat: no-repeat;
	background-position: right;
	padding-right: 15px;
}

th a.sortD
{
	background-image: url(../../images/icoSortDownArrow.gif);
	background-repeat: no-repeat;
	background-position: right;
	padding-right: 15px;
}
.rowHeight
{
	height: 25px;
	padding-top: 5px;
	padding-bottom:5px;
}
.formTitle {
	font-size: 16px;
	font-weight: bold;
	color: #000000;
	padding-right: 20px;
}

caption {
	text-align: left;
	border-bottom: 1px solid #999;
	padding: 5px;
}

.label
{
	font-family: Arial;
	font-size: 11px;
	font-weight:bold;
	color: #000;
}
.label span.required, span.label.required
{
	background-image: url(../../images/icoRequired.gif);
	background-repeat: no-repeat;
	background-position: right;
	padding-right: 13px;
}
td.label {
	vertical-align:top;
}

select, input {
	font-family: Arial;
	font-size: 11px;
	color: #000;
}

.disabled {
	color: #e6e6e6;
}
td.disabled {
	color: #999;
}
.checkbox, .radio {
	margin-left: -2px;
}
.popup, .modal {
	background-color: #d5ebf9;
}

.paddingClass
{
	padding-left: 5px;
}

* *.pageTitle, #pgTitle {
	font-family: Arial;
	font-size: 16px;
	font-weight: bold;
	color: #fff;
}
.popup .pageTitle, .modal .pageTitle
{
	background-color: #f68a1c;
	text-decoration: none;
	padding: 0 5px;
	height: 35px;
}

body.modal {
	border: 1px solid #fff;
	font-size: 11px;
	overflow: hidden;
}

body.popup {
	overflow: auto;
	height: auto;
}

.modal .actionArea {
	background-color: #fff;
	height: 51px;
	padding: 10px;
}

h1.error
{
	font-family: Arial;
	font-size: 16px;
	font-weight: bold;
	color: #000;
	margin: 25px 0px;
}

.red
{
	color: #D20000 ! important ;
}

.errorMessagePadding
{
	padding: 0px 9px;
}
@media screen {
	.printOnly {
		display: none!important;
	}
}

.loadingImage {
	height: 13px;
	display: none;
}
td.vAlignTop, th.vAlignTop {
	vertical-align: top;
}
td.vAlignMiddle, th.vAlignMiddle {
	vertical-align: middle;
}
.cellType-date {
	text-align: center;
}
.cellType-numeric {
	text-align: right;
}
/*
	GUI_Design_Standard_5.0.pdf - Page 6.7
	Flagging Incorrect Entries
*/
.errorHighlighted
{
	background-color: #ffff99;
}

/*
	To remove the default underline style of the a tag.
*/
.noTextUnderline
{
	text-decoration: none;
}
ul.shortList {
	margin: 0 0 0 18px;
	line-height:normal;
}
ul.shortList li {
 	list-style:disc;
	padding:0;
}

/******************************** Tree View style begins here ********************************/

/*
	Style for the Tree Container                  
*/
/*
	GUI_Design_Standard_5.0.pdf - Page 5.18
	Tree Views
*/
.treeContainer
{
	min-height: 525px;
	width: 20%;
	text-align: left;
	background-color: #ededed;
	border: 1px solid #00629f; 
}

/*
	CSS hack for IE, for the Tree Container
*/

* html .treeContainer
{
	height: 525px;
	width: 20%;
}

/*
	Style for the Tree Body
*/
/*
	GUI_Design_Standard_5.0.pdf - Page 5.18
	Tree Views
*/
.treeBody
{
	margin-left:0px; padding:0px; text-align:left;
	overflow-x: auto;
	white-space: nowrap;
	min-height: 525px;
} 

/*
	CSS hack for IE, for the Tree Body
*/
* html .treeBody
{
	height: 525px;
	overflow-x: auto;
	width: 100%;
}

/*
	GUI_Design_Standard_5.0.pdf - Page 5.18
	Tree Views
*/
.mktree, ul.mktree ul 
{
	margin-left:19px;
	padding:0px;
	text-align:left; 
}

/*
	GUI_Design_Standard_5.0.pdf - Page 5.18
	Tree Views
*/
ul.mktree li 
{
	margin-left:0px; padding-top:2px; text-align:left; 
}

/*
	Style for Tree nodes:                
	Padding, Node images, Alignment
*/
/*
	GUI_Design_Standard_5.0.pdf - Page 5.18
	Tree Views
*/
.mktree  li           .bullet 
{ 
	padding-left: 15px; 
}

.mktree  li.liOpen    .bullet
{
	cursor: pointer; background: url(../../images/icoTreeViewMinus.gif)  center left no-repeat; 
	
}

.mktree  li.liClosed  .bullet 
{
	cursor: pointer; background: url(../../images/icoTreeViewPlus.gif)   center left no-repeat; 
}

.mktree  li.liBullet  .bullet
{
	cursor: default; background: url(../../images/icoTreeViewNode.gif) center left no-repeat; 
}


.mktree  li.liOpen    ul 
{
	display: block; 
}

.mktree  li.liClosed  ul 
{
	display: none; 
}

/*
	Style for inner levels of the Tree:           
	Format menu items differently depending       
	on what level of the tree they are in.        
	Multiple levels would be required only if     
	different levels need different styles.  As   
	this is not required here, these have been    
	commented out.                                
*/
/*
	GUI_Design_Standard_5.0.pdf - Page 5.18
	Tree Views
*/
.mktree  li 
{ 
	font-size: 11px; 
	font-family:Arial; 
	color:#666;
	list-style: none; 
}

/*
	Style for checkboxes in Tree View:            
	Padding, Alignment                            
*/

.mktree input
{
	vertical-align: middle;
	margin-right: 7px;
}

/*
	Style for Tree Title:                         
	Padding, Alignment, Font properties,          
	Background Color                              
*/
/*
	GUI_Design_Standard_5.0.pdf - Page 5.18
	Tree Views
*/
.treeTitle
{
	background-color: #00629f;
	font-family: Arial;
	width: 100%;
	font-size: 12px;
	padding-top : 7px;
	padding-bottom: 7px;
	padding-left: 10px;
	color: #fff;
	font-weight: normal;
	text-align: left;
}

/******************************** Tree View style ends here ********************************/
/* Modal content */
#modalContainer {
	position:absolute;
	top:0;
	left:0;
	width:100%;
	height:100%;
	display:none;
	z-index:999;
	text-align:center;
}
#greyLayerFrame {
	position:absolute;
	top:0;
	left:0;
	width:100%;
	height:100%;
	filter:alpha(opacity=10);
	background-color:#000;
	z-index:1000;
}
#modalContent {
	position:absolute;
	top:0;
	left:0;
	width:500px;
	height:400px;
	display:block;
	z-index:1001;
}
.disableMessage{
	
	font-family: Arial;
	font-size: 14px;
	color: #FF0000;
	font-weight: normal;
	vertical-align: middle;       
	padding: 1 7px;
}
